/**
 * Simple Triple class
 *
 * $Log: Triple.java,v $
 * Revision 1.13  1999/05/04 15:27:20  lehors
 * commit after CVS crash
 *
 * Revision 1.4  1999/04/01 09:32:57  jsaarela
 * SiRPAC distribution release V1.11 on 1-Apr-99
 *
 * Revision 1.3  1998/10/07 21:55:23  jsaarela
 * Vocabulary changed.
 *
 * Revision 1.2  1998/06/17 09:17:38  jsaarela
 * Updated the translator to manage new RDF constructs such as
 * distributive referents and changed attribute names.
 *
 * Revision 1.1  1998/05/12 13:15:25  jsaarela
 * Routines for RDF manipulation added.
 *
 *
 * @author Janne Saarela
 */
package org.w3c.rdf.model;

import org.w3c.rdf.model.*;

/**
 * An RDF statement.<p>
 * 
 * Triples must implement <code>getURI()</code> according to a standard MD5-based algorithm.
 *
 * @see org.w3c.tools.crypt.DigestUtil
 * @see org.w3c.rdf.util.RDFDigestUtil
 */

public interface Triple extends Resource {

  /**
   * @return subject of the triple
   */
  public Resource subject();

  /**
   * @return predicate of the triple
   */
  public Resource predicate();

  /**
   * @return object of the triple
   */
  public RDFNode object();

  /**
   * @return the model that contains this triple, <code>null</code> if none
   */
  //  public RDFModel getOwnerModel();
}
